Skip to main content
POST
Create inventory activity

Authorizations

Authorization
string
header
required

Sign in to the admin dashboard and use the resulting ID token for a store and operation you can access. The authenticated dashboard cookie is accepted when the Authorization header is absent. Missing or insufficient access returns 401.

Path Parameters

id
string
required

product id

Body

application/json
warehouse_id
string
required
Maximum string length: 128
activity_type
enum<string>
required
Available options:
add,
reserve,
reduce,
restore
quantity
integer
required
reason
string
required
Maximum string length: 512
variant_id
string | null

null for products without variants.

lot_batch
string | null
mfg_date
string<date> | null
exp_date
string<date> | null
manufacturer
string | null

Response

OK

message
string
success
boolean
content
object